/*
 * c12nd.b.c
 * Copyright (C) 2008-2013, 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <c1-inter.h>
#include <c1-types.h>

int
_x1f4_c1_miss_fast(struct c1_program_type *program_data,
		   struct c1_fast_type *fast_head)
{
    int status = 0;

    while (fast_head) {
	int excess;
	struct c1_fast_type *fast_data;

	fast_data = fast_head;
	fast_head = fast_data->fast_data;

	excess = program_data->n.free(program_data->n.data, fast_data);
	if (excess) {
	    if (status) {
	    } else {
		status = _x1f4_c1_stat_free(program_data);
	    }
	}
    }

    return status;
}


int
_x1f4_c1_miss_port(struct c1_trans19_type *trans19_data)
{
    struct c1_node_type *node_data;

    node_data = trans19_data->e.slip;
    if (node_data->data.data) {
    } else {
	node_data++;
    }

    return x1f4_tail_expression(node_data->data.data, &trans19_data->e.port);
}
