/*
 * file.i.z.c
 * Copyright (C) 2008-2013, 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <file-types.h>

#define file(file) \
    ((struct eifile_type *) (file))

int
_libx1f4i0_hold_ifile(void *file, void **sdfile,
		      const struct sffile_type **sffile)
{
    *sdfile = (void *) &file(file)->sd;

    *sffile = file(file)->sf;

    return 0;
}
