/*
 * integral_q.h
 * Copyright (C) 2008-2015, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_integral_q_H__
#define __LIBx1f4_integral_q_H__

#include <config.h>

#if SIZEOF_VOID_P == SIZEOF_UNSIGNED_LONG
# define integral_q			unsigned long
#elif SIZEOF_VOID_P == SIZEOF_UNSIGNED
# define integral_q			unsigned
#else
# error unknown or unaccounted for pointer size
#endif				/* SIZEOF_VOID_P == SIZEOF_UNSIGNED_LONG */

#endif				/* __LIBx1f4_integral_q_H__ */
