/*
 * lxlist-drive.h
 * Copyright (C) 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_lxlist_drive_H__
#define __LIBx1f4_lxlist_drive_H__

#define byte(miss)			((unsigned char *) (miss))

#define __drive_link(___d) \
    ((___d)[4] << 030 | (___d)[5] << 020 | (___d)[6] << 010 | (___d)[7])
#define __drive_type(___d) \
    ((___d)[0] << 030 | (___d)[1] << 020 | (___d)[2] << 010 | (___d)[3])

#define effect_link(___a)		__drive_link(byte(___a))
#define effect_type(___a)		__drive_type(byte(___a))

#endif				/* __LIBx1f4_lxlist_drive_H__ */

