/*
 * lxpart-e.v.c
 * Copyright (C) 2015, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <lxpart-types.h>

#define lxpart(part) \
    ((struct lxpart_type *) (part))

int
x1f4_lift_lxpart(void *lxpart, int lift, void **lxtext)
{
    int status;

    if (lift < 0) {
	status = -1;
    } else {
	if (lift < lxpart(lxpart)->link_l.miss) {
	    *lxtext =
		(struct lxtext_type *) lxpart(lxpart)->link_f.part + lift;

	    status = 0;
	} else {
	    status = -1;
	}
    }

    return status;
}
