/*
 * e4-config.h
 * Copyright (C) 2006-2011, 2013, 2016, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBx1f4_e4_CONFIG_H__
#define __LIBx1f4_e4_CONFIG_H__

#define __RECORD_POST__			1

/*
 * not able to inline user data, should be zero
 */
#define __INLINE_USER_DATA__		0

#if !__INLINE_USER_DATA__
# define __OPTIMIZE_USER_FUNCTIONS__	0
#else
# define __OPTIMIZE_USER_FUNCTIONS__	0
#endif				/* !__INLINE_USER_DATA__ */

#define __TEST_FOR_MATH_ERRNO__		0

/*
 * would not work for it is not considered by features as:
 *     not constructed variables (!PRINCIPAL, set before first use)
 * there are other features not allowing this and not mentioned here.
 */
#define __ALLOW_RIGHT_FIRST__		0

#define __ALLOW_FUNCTION_POINTERS__	1

#define __DIRECT_FAST_MISS_LOAD__	1

#endif				/* __LIBx1f4_e4_CONFIG_H__ */
