/*
 * lxpart-a.f.c
 * Copyright (C) 2008-2011, 2013, 2015, Ciprian Niculescu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stddef.h>

#include <lxlead.h>
#include <lxpart-inter.h>
#include <nt.h>

int
x1f4_type_lxpart(const void *screen, struct x1f4_nodetype_type *nodetype_data,
		 int cflat3)
{
    struct cxpart_type *cxpart_data;
    const struct screen_type *screen_data;
    unsigned miss;

    screen_data = screen;

    cxpart_data = screen_data->link_l.cxpart_data;
    miss = screen_data->link_l.miss;
    for (; miss; miss--) {
	cxpart_data->type = cflat3;

	_libx1f4i0_lxpart_time_part(nodetype_data, cxpart_data);

	nodetype_data++;

	cxpart_data++;

	cflat3++;
    }

    return 0;
}
